Skip to main content
GET
/
cloud
/
v3
/
gpu
/
virtual
/
{project_id}
/
{region_id}
/
clusters
/
{cluster_id}
/
volumes
Python
import os
from gcore import Gcore

client = Gcore(
    api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
)
gpu_virtual_cluster_volume_list = client.cloud.gpu_virtual.clusters.volumes.list(
    cluster_id="1aaaab48-10d0-46d9-80cc-85209284ceb4",
    project_id=1,
    region_id=7,
)
print(gpu_virtual_cluster_volume_list.count)
{
  "count": 1,
  "results": [
    {
      "bootable": false,
      "created_at": "2025-03-17T13:22:23Z",
      "id": "b6e58490-58d3-451c-bb77-4178157c98b2",
      "name": "my-volume",
      "root_fs": false,
      "server_id": "ded40aad-505c-463b-aa59-8f5f455d1b6f",
      "size": 100,
      "status": "attaching",
      "tags": [
        {
          "key": "task_id",
          "read_only": true,
          "value": "d74c2bb9-cea7-4b23-a009-2f13518ae66d"
        }
      ],
      "type": "standard"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

7

cluster_id
string<uuid4>
required

Cluster unique identifier

Example:

"1aaaab48-10d0-46d9-80cc-85209284ceb4"

Response

200 - application/json

OK

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
ClusterInstanceVolume · object[]
required

Objects